%global _version %( echo %{version} | tr . _ )
Name:          codegen
Version:       0.6.7
Release:       1%{?dist}
Summary:       Java/Scala Code generation tool
License:       ASL 2.0
URL:           http://www.querydsl.com
Source0:       https://github.com/mysema/codegen/archive/CODEGEN_%{_version}.tar.gz
# https://github.com/querydsl/codegen/issues/22
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(javax.validation:validation-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
# https://bugzilla.redhat.com/show_bug.cgi?id=1015787
BuildRequires: mvn(org.eclipse.jdt.core.compiler:ecj)

BuildArch:     noarch

%description
Code generation and compilation for Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-CODEGEN_%{_version}

%pom_remove_parent
%pom_remove_plugin com.springsource.bundlor:com.springsource.bundlor.maven
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<configuration>
 <instructions>
  <Bundle-Name>Codegen</Bundle-Name>
  <Bundle-SymbolicName>com.mysema.codegen</Bundle-SymbolicName>
  <Bundle-Vendor>Mysema</Bundle-Vendor>
  <Export-Package>com.mysema.codegen*;version="${project.version}"</Export-Package>
  <Import-Package>
    javax.annotation.*;version="0",
    javax.tools.*;version="0",
    org.eclipse.jdt.*;version="3.7.2",
    com.google.common.*;version="${guava.version}",
    *
  </Import-Package>
 </instructions>
</configuration>
<executions>
 <execution>
  <id>bundle-manifest</id>
  <phase>process-classes</phase>
  <goals>
    <goal>manifest</goal>
  </goals>
 </execution>
</executions>'

%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-jar-plugin']/pom:configuration/pom:useDefaultManifestFile"
%pom_xpath_inject "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-jar-plugin']/pom:configuration" '
<archive>
 <manifestFile>${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
</archive>'

sed -i.javax.validation "s|ConstraintPayload|Payload|" \
 src/test/java/com/mysema/codegen/MaxImpl.java \
 src/test/java/com/mysema/codegen/MinImpl.java \
 src/test/java/com/mysema/codegen/NotNullImpl.java

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%mvn_file com.mysema.codegen:%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sun Aug 30 2015 gil cattaneo <puntogil@libero.it> 0.6.7-1
- update to 0.6.7

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Apr 19 2015 gil cattaneo <puntogil@libero.it> 0.6.6-1
- update to 0.6.6

* Thu Jan 15 2015 gil cattaneo <puntogil@libero.it> 0.6.5-1
- update to 0.6.5

* Wed Oct 02 2013 gil cattaneo <puntogil@libero.it> 0.5.9-1
- initial rpm
